import url from './url';
export default {

    // 设置换行等操作
    replaceBr(html:string = ''){
        html = html || '';
        return html.replace(/\n\r|\n|\r/g,'<br />');

    },

    /*
	 * 	html 格式处理工具
	* */
    parseHtml:function (content='') {
        content = content || '';

        /* 为标签加入class */
        content = content.replace(/<([a-zA-Z]+)([^>]*)>/g,function (_all:string,tag,other='') {

            // 如果是 img 执行处理
            if (tag === 'img' || tag === 'video' || tag === 'source') {

                other = other.replace(/src\s*=\s*"([^"]*)"|'([^']*)'/,function (_all,attr,attr2) {
                    attr = attr || attr2;
                    return 'src="'+url.addBaseURL(attr)+'"';
                });

            }

            // 执行对单位的替换
            if (other.indexOf('px') >=0) {

                other = other.replace(/style="[^"]*"/g,function (all='') {

                    return all.replace(/([\d.]+)px/ig,function (_all,number) {
                        // @ts-ignore
                        return ((number || 0 ) * window.screen_conf.proportion)+'px';
                    });

                });
            }

            return '<'+tag + other +'>';
        });

        return content;

    },

}
